/**
 * Test the settings with AJAX.
 */
Drupal.behaviors.ldapcontrol = function(context) {
  $('#edit-test').click(function(event) {
    $('#test-message').hide();
    $('#test-spinner').show();
    var url = window.location.href + '/test';
    $.post(url, { sid: $('#edit-ldapcontrol-server').val(), binddn: $('#edit-ldapcontrol-dn').val(), bindpw: bindpw = $('#edit-ldapcontrol-pass').val(), bindpw_clear: bindpw_clear = $('#edit-ldapcontrol-pass-clear').val() },
      function(data){
        $('#test-spinner').hide();
        $('#test-message').show().removeClass('status error').addClass(data.status ? 'status' : 'error').html(data.message);
      }, "json");
    return false;
  });
}
